summaryrefslogtreecommitdiffstats
path: root/debian/tests/postfix
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:18:57 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:18:57 +0000
commita9cdccbffffdd2e58b5cc69683682517e892ea40 (patch)
tree5890cdcebde1069c9b7419d92476e52cc5525d6f /debian/tests/postfix
parentAdding upstream version 3.7.10. (diff)
downloadpostfix-a9cdccbffffdd2e58b5cc69683682517e892ea40.tar.xz
postfix-a9cdccbffffdd2e58b5cc69683682517e892ea40.zip
Adding debian version 3.7.10-0+deb12u1.debian/3.7.10-0+deb12u1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tests/postfix')
-rw-r--r--debian/tests/postfix19
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/tests/postfix b/debian/tests/postfix
new file mode 100644
index 0000000..c5be87b
--- /dev/null
+++ b/debian/tests/postfix
@@ -0,0 +1,19 @@
+#!/bin/bash
+#----------------
+# Testing postfix
+#----------------
+set -e
+
+# reconfigure postfix
+debconf-set-selections <<< "postfix postfix/mailname string localhost" 2>&1
+debconf-set-selections <<< "postfix postfix/main_mailer_type string 'Internet Site'" 2>&1
+
+# install and modify
+hostname localhost
+apt-get install -y postfix 2>&1
+hostname --fqdn > /etc/mailname
+service postfix restart 2>&1
+python3 `dirname $0`/test-postfix.py 2>&1
+
+# Check set-permissions
+postfix set-permissions